import { MediaType } from "@/utils/common/type/common.type";
import { WidthDevice } from "@/components/comp-media/CompMedia";
import Swiper from "swiper";
import { CompMediaAspect } from "@/components/comp-media/CompMedia";
export type WidthSettings = {
    [key in WidthDevice]?: number | "full";
};
export type Aspect = {
    [key in CompMediaAspect]: string;
};
export type MediaProps = {
    media?: MediaType[];
    deviceColumnSpan?: WidthSettings;
    aspect?: CompMediaAspect;
    caption?: string;
    showLightbox?: boolean;
    activeIndex?: number;
    openedInLightbox?: boolean;
};
export type MediaConfig = {
    [key: string]: string | boolean | number;
};
export interface SwiperHTMLElement extends HTMLElement {
    swiper: Swiper;
}
